HCT overview

The Microsoft® Windows® XP Hardware Compatibility Test (HCT) kit version 10.0 includes the tests, test documentation, and submission processes that are required to participate in the Microsoft Windows Logo Program for Hardware for the Windows XP Professional operating system.

All supporting documentation for the Windows XP HCT 10.0 kit is in HTML Help format and can be installed separately from the tests. To prepare for hardware testing, install and review the test procedure documentation for a hardware test category before attempting to install the HCT in a test environment.

What's included in this package

The Microsoft Windows XP HCT 10.0 kit includes the following:

Click to show or hide information. Logo requirement documentation

Microsoft encourages hardware manufacturers to design products that meet Microsoft standards for compatibility and interoperability with the Windows operating systems.

The Microsoft Windows Logo Program System and Device Requirements, the WHQL Test Specification, and the HCT documentation are designed to work interactively, and to link to specific guidelines defined in the system and hardware design guides.

This package includes the following logo requirement documentation:

  • Microsoft Windows Logo Program System and Device Requirements version 2.0
  • WHQL Test Specification
  • PC 2001 System Design Guide
  • Hardware Design Guide Version 3.0 for Microsoft Windows 2000 Server

Click to show or hide information. Test procedure documentation

To prepare for testing a product with the Windows XP HCT 10.0, hardware manufacturers can review the HTML Help system that documents the HCT test procedures for each hardware category. The test procedures can be downloaded from the HCT kit CD and the WHQL Web site, and must be reviewed before attempting to install the HCT kit in a test environment.

The test procedures detail everything required to complete the hardware compatibility tests, including:

  • Hardware
  • Software
  • Tester skills
  • Test system configurations
  • Required tests for each product category
  • Descriptions of the tests, including links to test assertions and trouble-shooting hints
  • Instructions for running the tests

Click to show or hide information. Hardware Compatibility Test kit

When a product is ready for production, hardware manufacturers can use the Microsoft Windows HCT kit to test their products for compatibility with Windows operating system features. Microsoft offers the "Designed for Windows" logos to manufacturers whose products pass testing.

Manufacturers can also use the HCT kit to test device drivers and anti-virus file system filter drivers for compatibility with the Microsoft operating systems. Drivers that pass testing can qualify for digital signature by Microsoft.

Click to show or hide information. Display Compliance Test kit version 450

The Display Compliance Test (DCT) kit version 450 is a separate test kit that includes the tests and test documentation required to logo display adapters and chipsets for the Windows XP Professional operating system.

The DCT 450 verifies all supported display modes, color depths, and capabilities that the driver supports, and then creates a list of required tests. For test specification information, see the Test Assertions in Chapter 5: Graphics Adapter Test Specification.

The DCT 450 provides a unique graphical user interface and integrated help documentation. It does not conform to the same conventions as the HCT kit. See the DCT 450 kit release notes for specific information about using the kit.

Important: The DCT 450 is installed as a standalone application. It is not installed through the Windows XP HCT 10.0 installation process.


What’s new

Tests for the Windows XP Professional operating system only

The Windows XP HCT 10.0 kit includes tests for the Windows XP operating system only. The Windows XP HCT 10.0 kit can be used to prepare test submissions to qualify products for the "Designed for Windows XP" logo for hardware.

New HCT installation wizard

The Windows XP HCT 10.0 kit features an installation wizard that leads users through installation of the HCT kit.

New documentation

  • Logo requirement documentation

To help manufacturers troubleshoot test failures, the Windows XP HCT 10.0 kit test procedure documentation includes links to test assertions in the WHQL Test Specification.

  • Test procedure documentation

The Windows XP HCT 10.0 kit test procedures are presented in HTML Help format. Hyperlinks within the documentation can be used to jump to related topics within the HCT kit, or, if you have an Internet connection, to the World Wide Web. And, unlike previous HCT releases, the Windows XP HCT 10.0 test procedure documentation is informational only. It does not require tester feedback and is not returned to WHQL as part of a test submission package.

New tests

The Windows XP HCT 10.0 kit includes new tests that verify logo requirements that are new for Windows XP, as well as tests that verify existing logo requirements. In addition, a number of tests included in previous HCT kits have been improved for Windows XP HCT 10.0.

Online submissions

With the release of the Windows XP HCT 10.0 kit, all test submissions must be completed through a new online service, the Windows Logo Program Qualification Service (Qualification Service).

The Qualification Service not only digitally signs drivers (as Quick-Sign did), but does much more. It is a one-stop, online service to qualify hardware and software for the Windows Logo Program. With the Qualification Service, you can send and receive digitally-signed files, submit test logs, click to accept legal agreements, and market your product.

You must establish an account to use the Qualification Service. Please see the Windows Logo Program Qualification Service User’s Guide for more information.

Related Links

Windows Logo Program Qualification Service User’s Guide


Microsoft Windows Logo Program for Hardware

Microsoft offers the Windows Logo Program for Hardware to help customers identify systems and peripherals that meet a baseline definition of platform features and quality goals that provide a good Windows experience for the end user.

Products that earn the "Designed for Windows" logo have been tested to ensure that they meet Microsoft standards for compatibility with the Windows operating systems designated on the logo. System and peripheral manufacturers can license the "Designed for Windows" logo for use on product packaging, advertising, collateral, and other marketing materials for all systems and components that pass compliance testing.

To fully participate in the Windows Logo Program for Hardware, please refer to the following resources on the Web:

  • Microsoft Windows Driver and Hardware Development
  • Microsoft Windows Logo Program for Hardware
  • Microsoft Windows Driver Development Kits
  • MSDN Professional Subscriptions

Related links

"Designed for Windows" Logos for Device and System Programs


Windows Hardware Quality Labs

To ensure the compatibility of hardware with Microsoft operating systems, Windows Hardware Quality Labs (WHQL) works with manufacturers to support hardware compatibility testing, digitally sign drivers, and administer the "Designed for Windows" logos for hardware.

WHQL produces and supports the Hardware Compatibility Test (HCT) kits, which are used to qualify devices, systems, and servers for Microsoft Windows logos and inclusion on the Microsoft Hardware Compatibility List (HCL).


Hardware Compatibility Test kit

WHQL produces and supports the Hardware Compatibility Test (HCT) kit. The HCT kit includes documentation and tests that hardware manufacturers can use to:

Click to show or hide information. Design products.

Microsoft encourages hardware manufacturers to design products that meet Microsoft standards for compatibility and interoperability with the Windows operating systems. The Microsoft Windows Logo Program System and Device Requirements document provides the authoritative source for information about requirements for the Windows Logo Program for Hardware. This document is available on the Windows XP HCT 10.0 CD and on the Microsoft Windows Logo Program for Hardware Web site.

Click to show or hide information. Test products for compatibility and interoperability with the Windows operating systems.

When a product is ready for production, hardware manufacturers can use the Microsoft Windows HCT kit to test their products for compatibility and interoperability with the Windows operating systems. Microsoft offers the "Designed for Windows" logos for hardware to manufacturers whose products meet Microsoft standards.

Click to show or hide information. Test drivers for compatibility with the Windows operating systems and qualify drivers for digital signature by Microsoft.

Microsoft promotes driver signing for designated device classes to advance the quality of drivers, provide a better user experience, and reduce support costs for vendors and total cost of ownership for customers.

Related links

WHQL Digital Signatures
Microsoft Windows Logo Program for Hardware

Click to show or hide information. Qualify to distribute drivers from the Microsoft Windows Hardware Compatibility List (HCL) and Microsoft Windows Update Web sites.

Note: Distributing drivers from the Microsoft Windows HCL and the Microsoft Windows Update Web sites is optional.

  • About the Microsoft Windows HCL

The Microsoft Windows HCL is a listing of logo'd hardware and device drivers that are either logo’d for or compatible with Windows 98, Windows Millennium Edition (Windows Me), Windows NT® 4.0, Windows 2000, and Windows XP. For more information, see the HCL Web site.

  • About Microsoft Windows Update

The Microsoft Windows Update Web site offers device drivers for Windows 98, Windows 98 Second Edition, Windows 2000, Windows Me, and Windows XP customers. For more information, see the Windows Update Web site.

Related links

Windows Hardware Compatibility List
Windows Update
How to Publish Drivers on Windows Update

Click to show or hide information. Qualify to list your product in the Windows Catalog

Note: Listing a product in the Windows Catalog is optional.

Microsoft has created the Windows Catalog to provide its customers with a comprehensive, easy-to-use list of compatible products for the Microsoft Windows family of operating systems. The Windows Catalog will be localized into the 24 languages in which Windows is localized.

With the release of the Windows XP operating systems, the Windows Catalog provides a product directory that is available to users from entries on the Windows XP Start menu, through Windows XP Help and Support, and directly from Microsoft.com, with cross promotions on the MSN Web site. For more information, see the Windows Logo Program Web site.

Related links


Driver signing

Microsoft promotes driver signing for designated device classes as a mechanism to advance the quality of drivers, provide a better user experience, and reduce support costs for vendors and total cost of ownership for customers. Microsoft began digitally signing drivers with the release of Windows 98.

WHQL offers digital signing of drivers for the Windows XP, Windows 2000, Windows 98 SE, and Windows Me operating systems. WHQL is committed to providing vendors with an efficient method of receiving digitally-signed catalog files for quality drivers. To meet this goal, WHQL incorporated the functions of Quick-Sign into the Qualification Service.

Related links


WHQL legal agreements

Companies considering participation in the Microsoft Windows Logo Program for Hardware can download and review the WHQL legal agreements from the WHQL Web site. WHQL has two basic types of legal agreements: testing agreements and logo license agreements.

Each company participating in the Microsoft Windows Logo Program for Hardware must have a valid, signed testing agreement on file with Microsoft.

To use the "Designed for Windows" logo graphics, a company must have a valid, signed logo license agreement on file with Microsoft. Microsoft currently offers the "Designed for Windows" logo for hardware and the "Windows Logo Key" for keyboards. Actual use of the "Designed for Windows" logo graphics on hardware or packaging is optional.

Important: A designated company representative with legal authority to sign on behalf of the entire company, including all regional divisions, must sign the WHQL legal agreements. The Windows Hardware Quality Labs Testing and Quick-Sign Agreement must be signed by a director-level representative of a company.

For questions about the WHQL legal agreements, please send e-mail to WHQLINFO@microsoft.com with "Agreement" in the subject line.

Related links

WHQL Legal Agreements


WHQL information resources

WHQL communicates with its partners primarily through the WHQL Web site. This Web site includes test kit downloads, test errata, program announcements, policy announcements, contact information, and submission information.

To help our partners stay current with events in the Windows Logo Program for Hardware, WHQL sends out a weekly newsletter through e-mail. The WHQL and Windows Logo Program Testing News includes logo program updates and a list of updates to the WHQL Web site made during the previous week. To subscribe to the WHQL and Windows Logo Program Testing News and to see previous publications of this newsletter, go to Windows Hardware Quality Labs News on the WHQL Web site.

The most effective way to contact WHQL is to send an e-mail message to a WHQL support e-mail address. In most cases, WHQL will respond within 48 hours.

A comprehensive list of WHQL program support e-mail addresses is available on the WHQL Web site.

Related links


Testing overview

To qualify to use the "Designed for Windows" logo for hardware, products must pass testing with the Microsoft Windows HCT kit. The HCT kits are organized by hardware type. Complete the following steps to test a product.

Click to show or hide information. Determine the hardware category.

The HCT hardware categories are modeled on the technology groups in the logo specifications. You should be able to determine the appropriate hardware category for your product. If you are unsure, you can send questions to the WHQL e-mail support address for the hardware category that best fits your product.

A comprehensive list of WHQL support e-mail addresses is available on the WHQL Web site.

Click to show or hide information. Review the HCT kit test procedure documentation.

Install and review the test procedure documentation for the appropriate hardware category before installing the HCT kit. The test procedure documentation details everything required to complete the tests, including hardware, software, test system configurations, and specific test instructions.

Note: For test kit releases prior to Windows XP HCT 10.0, the test procedure documentation for all device categories is in Microsoft Word format and includes information-gathering sections and manual test procedures that require tester input. If testing an operating system that requires an earlier HCT kit, complete the Word-based documents and include them in the test submission package.

Click to show or hide information. Install and run the HCT kit.

After reviewing the test procedure documentation, gather the required test equipment to configure and prepare the test system. Install and run the HCT kit as specified in the test procedures. The HCT kit must be run in specific system configurations and may require tester intervention to complete.

Click to show or hide information. Review all test logs for passing test results.

Your product must pass all required tests in the HCT kit. All tests generate test logs that must be included for review in test submission packages sent to WHQL.

To troubleshoot failing test results

  • Verify that test system configuration is correct.
  • Verify that tests are run in the correct order.

Some tests must be run in a specific order to function properly.

  • Review the WHQL Test Specification.

Most test logs include a test assertion number that corresponds to a section of the WHQL Test Specification. Refer to the test specification for test descriptions that include an overview of the test steps, test setup, and test results interpretation.

  • Review test errata.

WHQL publishes test errata to address known issues in the HCT kits. Test errata are organized by hardware category and can be found on the home pages for each hardware category on the WHQL Web site.

  • Contact the WHQL e-mail support address for the hardware category that most closely describes your product.

A comprehensive list of WHQL support e-mail addresses is available on the WHQL Web site.

Related links


Using the test procedure documentation

Install and review the test procedure documentation for a specific hardware test category before attempting to run the Hardware Compatibility Tests (HCT) kit. To have continuous access to the test procedures during testing, install the test procedure documents to a system other than the system used for testing.

The test procedures can be viewed from the Windows XP HCT 10.0 CD autorun screen, copied as a stand-alone application from the Windows XP HCT CD, or installed with and viewed from Test Manager during a test run.

To view the test procedure documentation from the HCT CD autorun screen

  1. Insert the HCT CD into a drive that supports autorun functionality.

The Windows XP HCT 10.0 window displays.

  2. Click Read the HCT Kit Documentation.

The HCT Help system displays.

Note: This procedure opens the HCT Help system directly from the HCT CD. It does not install the HCT Help system locally.

To copy the test procedure documentation from the HCT CD

  1. Insert the HCT CD into a drive that supports autorun functionality.

The Windows XP HCT 10.0 window displays.

  2. Click Browse the CD.

The contents of the HCT CD displays.

  3. Copy the Help folder to your system.
  4. Open the Help folder and double-click HCThelp.chm.

The HCT Help system displays.

To view the test procedure documentation from Test Manager

Important: Test Manager will start only if a test category is installed at the same time as the test procedure documentation.

  1. Install the Windows XP HCT 10.0.

Note: Test procedure documentation is selected to install by default.

  2. Start Test Manager.
  3. On the Help menu, click Help Topics.

The HCT Help system displays.

To view the test procedure documentation from Windows Start menu

  1. Install the Windows XP HCT 10.0.

Note: Test procedure documentation is selected to install by default.

  2. Click the Start button, point to More Programs, point to HCT, and then click HCT 10.0 Documentation.

The HCT Help system displays.


Installing the HCT kit

The HCT kit is a Windows application that runs the hardware compatibility tests and provides a quick summary of test results. The HCT kit requires a minimum 1 GB of free hard disk drive space on the system partition for temporary installation files, as well as enough additional drive space to accommodate the actual test kit. For additional test system configuration requirements, refer to the test procedure documentation for each test category.

Install the HCT kit on the test system.

Note: Some test categories, such as communication devices, require testing on a test system and a remote test host. You must install the HCT kit separately on both systems.

To install the HCT kit

  1. Log on to the test system.

Important: You must have administrator-level permissions to the system.

  2. Insert the Windows XP HCT 10.0 CD into the CD-ROM drive.

- or -

If your test organization distributes the Windows XP HCT 10.0 over an internal network, go to the installation point for your test organization.

  3. Double-click setup.exe.

The installation wizard starts.

  4. Follow the instructions displayed.
  5. At the Custom Setup window, you are prompted to select a test category to install.

The test categories are organized by hardware type. A plus sign (+) next to a test category (or feature) indicates that it contains subcategories (or subfeatures). Click the + to expand a test category list.

About the installation options

WHQL recommends that all test kits be installed on the local hard disk drive.

The HCT offers five installation choices:

  • This feature will be installed on the local hard drive.
  • This feature, and all subfeatures, will be installed on the local hard drive.
  • This feature will be installed to run from the CD. (Only available if installed from the HCT CD)
  • This feature, and all subfeatures, will be installed to run from the CD. (Only available if installed from the HCT CD)
  • This feature will not be available.

The term feature corresponds to a hardware category, such as Systems. The term subfeature corresponds to a specific test category that is grouped under the hardware category, such as Desktop Systems. A plus sign (+) next to a test category (or feature) indicates that it contains subcategories (or subfeatures).

  • To install a single test kit, select This feature will be installed on the local hard drive.
  • To install all test kits included in a test category, select This feature, and all subfeatures, will be installed on the local hard drive.
  • To clear a test kit selection, select This feature will not be available.

By default, the Desktop Systems kit is selected to install. If you do not wish to install the Desktop Systems kit, you must cancel the Desktop Systems kit selection.

Note: If you do not install the Desktop Systems kit, you must select another test kit to install for Test Manager to start properly.

To cancel the Desktop Systems kit selection

  • Double-click Test Categories, click the arrow next to Systems, and then click This feature will not be available.

A red X next to Systems indicates that neither the System kit nor any of its subcategories will be installed.

To select a test category

  • Double-click the category name, click the arrow next to the test category name to view the list of installation options, and then select an installation option.

Tip: You can select as many test categories as the test system is configured to test if:

1. Your device must be tested with more than one test kit, and

2. All test results will be submitted together in a single .cab file as part of a single test submission.

For example, if the test device is a combination modem and network adapter and the test system is configured to support both device functions, you can install both the Modem and Network test categories at the same time. However, you must complete all tests required for both test categories, and then return all test results at one time.

  6. At the Custom Setup window, you can also select the installation location. By default, the HCT creates an HCT folder on a drive on the test system and installs all features to that folder. To change the installation location, click Change, browse to the new location, and create a new folder. Name the new folder, and then click OK.
  7. Click Next.
  8. Follow the instructions displayed to complete installation.


Starting Test Manager

Test Manager is the application that runs tests and collects test results. Test Manager contains a number of test groups that correspond to common hardware categories.

Test Manager automatically scans your test system for the test categories you installed. The first time you open Test Manager after installing the HCT kit, you are prompted to complete installation options as appropriate to the test category.

Caution: All hardware and drivers required for testing must be installed on the test system prior to starting the HCT Test Manager. If Test Manager detects any changes to the system configuration during testing, it will prompt you to delete any test results and restart testing on the new configuration.

Click to show or hide information. To start the HCT Test Manager for the first time

  1. Log on to the test system.

Important: You must have administrator-level permissions to the system.

  2. If appropriate, insert the Windows XP HCT 10.0 CD into the CD-ROM drive.

Refer to the test procedures for your test category for specific instructions.

  3. Double-click the HCT 10.0 shortcut on the desktop.

– or –

Click the Start button, point to More Programs, point to HCT, and then click HCT 10.0.

A warning dialog box displays. If all hardware and drivers required for testing are already installed on the test system, click OK.

Test Manager then scans the test system for all installed devices and drivers applicable to the HCT kits selected during installation.

  4. The Test Selection Wizard starts.
  5. If you installed a test category that requires testing on both a test system and a remote test host, the Client/Server Test Setup window appears. This window lists all installed test categories.

Note: For test categories that require testing on both a test system and a remote test host, you must install the HCT kit separately on both systems.

By default, all installed test categories are selected to run on the test system. If the test category requires a two-system configuration, and the current installation is on the remote test host, select the check box next to the category name to install the appropriate tests for the remote test host.

Click Finish.

  6. If you installed test categories that require testing on only a test system, a Device Category window displays for each test category installed.

Important: This window is not displayed for system submission categories.

Each Device Category displays a checklist of all devices and drivers applicable to that test category.

To select the device you want to test (test device) from the list, select the check box next to the device name, and then click Next.

Note: If your test device in not included in the list, you can select Device not Listed. However, WHQL does not recommend testing with this option. Contact WHQL for help before continuing with testing.

Repeat this step until a test device has been selected for each installed test category. After selecting the test device for the last Device Category, click Finish.

  7. Follow the instructions displayed.
  8. The Test Manager window opens.

Click to show or hide information. To start the HCT Test Manager after the first time

  1. Log on to the test system.

Important: You must have administrator-level permissions to the system.

  2. If appropriate, insert the Windows XP HCT 10.0 CD into the CD-ROM drive.

Refer to the test procedures for your test category for specific instructions.

  3. Double-click the HCT 10.0 shortcut on the desktop.

– or –

Click the Start button, click All Programs, click HCT, and then click HCT 10.0.

Test Manager will scan the test system each time the application is restarted.

  4. The Test Manager window opens.


Selecting test categories

You can install multiple test categories to run tests on a single test system. On the Select/Run Tests tab, you can select the test category to run in Test Manager.

To select test categories

  • On the Select/Run Tests tab, in the Installed Test Categories list box, select the test category to be run.

The Available Tests for Selected Test Category pane updates dynamically.


Selecting tests

In the Select/Run Tests tab, you can select and run tests in Test Manager. The Select/Run Tests tab contains two panes:

  • Available Tests for Selected Test Category: This pane lists all tests that are available to run in a particular test kit.
  • Selected Tests: When you select and add a test from the Available Tests pane, the test appears in this pane. The Selected Tests pane lists tests in the order the tests were added. The tests will execute in the same order.

Tests are grouped into manual and automated tests. Tests are listed by name within each group. Some tests may be run multiple times within a configuration, with each instance of the test targeted at a different area of the test hardware. A plus sign (+) next to a test name indicates that there are multiple instances of the test. An exclamation point (!) in a yellow circle next to a test name indicates that the test is unavailable because required hardware is missing.

To select all available tests

  • In the Available Test pane, click the first test category listed, and click Add Selection.

– or –

In the Available Test pane, select the first test category listed, and drag the category to the Selected Tests pane.

– or –

In the Available Test pane, right-click the first test category listed, and select Queue Item.

To select all manual or automated tests

  • In the Available Tests pane, click the test type name (Manual Tests or Automated Tests), and then click Add Selection.

– or –

In the Available Tests pane, select the test type name (Manual Tests or Automated Tests), and drag the category to the Selected Tests pane.

– or –

In the Available Test pane, right-click the test type name (Manual Tests or Automated Tests), and select Queue Item.

To select an individual test

  • In the Available Tests pane, click the test name, and then click Add Selection.

– or –

In the Available Tests pane, double-click the test name.

– or –

In the Available Tests pane, select the test name, and drag the category to the Selected Tests pane.

– or –

In the Available Test pane, right-click the test name, and select Queue Item.

To select all remaining tests that have not been run

  • On the Select/Run Tests tab, click Add Not Run Tests.

To select all tests that have been run and returned a failing test result

  • On the Select/Run Tests tab, click Add Failing Tests.

To remove a selected test

  • In the Selected Tests pane, click the test name, and then click Remove Selection.

– or –

In the Selected Tests pane, click the test name, and then press the DELETE key.

To remove all selected tests

  • On the Select/Run Tests tab, click Remove All Items.

– or –

In the Selected Tests pane, click the first test category listed, and then press DELETE.

Related Links

Test is unavailable


Running tests

Test Manager runs all tests added to the Selected Tests pane. The tests execute in the order that they appear in the Selected Tests pane.

Each test generates a separate log file or, in some cases, a set of log files. Test Manager saves all log files generated during a test run. If you rerun a test, a new log file is generated and a number is appended to the log name (for example, acpicmb_2.log). The original test log is not replaced.

To run tests from Test Manager

  1. Select and add the tests to run, and then click Start Tests.

When all tests are completed, the Test Log Information tab displays. The test name is listed in the Test Results table. The final status of the tests are indicated on the left side of the table by the following icons:

HCT Test Status Icons

  2. Click the Select/Run Tests tab to run more tests.

To stop a test during a test run

  • In the Select/Run Tests tab, click Abort Tests.

Note: Stopping a test will also stop all other selected tests from running..

Related links


Viewing test log files

All tests generate either a single test log file, or a set of test log files, consisting of a summary log and sublogs. A plus sign (+) next to a log file name indicates that it is a log file set. Click the + to expand the log file set.

Most HCT test log files can be viewed in the Log Viewer tool included in Test Manager. However, some tests, such as the NDIS test, generate log files in HTML format and are viewed in a Web browser. The Windows XP Professional operating system includes Microsoft Internet Explorer.

After completing the tests in the HCT kit, examine the test log files for test failures. Test Manager switches to the Test Log Information tab at the end of each test run. However, you can view the test log files at any time.

Click to show or hide information. To view test log files in Test Manager

  1. At the Test Manager window, click the Test Log Information tab.

All test runs will be listed in the Test Results table. The final status of a test is indicated on the left side of the table by the following icons:

HCT Test Status Icons

  2. Select one or more tests from the list displayed, and then click View Selected Logs.

- or -

Double-click the test name for the log you wish to view.

- or -

Right-click the test name for the log you wish to view, and then select View Logfiles.

The Log Viewer appears.

  3. View the content of each log file. Use the navigation buttons to search for warnings, failures, or specific text.
  4. Examine the test logs for failures, and then do one of the following:
  • If tests contain failures, solve the problems indicated in the test log and rerun the test before submitting the log file to WHQL. To rerun failing tests from the Test Results table, select the test and then click Queue Selected Tests.
  • If all required tests for a test program have passed, use the Return Test Results menu to prepare the test log files to send to WHQL as part of a test submission package.
  5. To quit Log Viewer, click the Close button.

Click to show or hide information. To view HTML test log files

  1. At the Test Manager window, click the Test Log Information tab.

All test runs will be listed in the Test Results table. HTML log file names end in .htm rather than .log.

The final status of a test is indicated on the left side of the table by the following icons:

HCT Test Status Icons

  2. Select one or more tests from the list displayed, and then click View Selected Logs.

- or -

Double-click the test name for the log you wish to view.

- or -

Right-click the test name for the log you wish to view, and then select View Logfiles.

  3. Internet Explorer opens.

If necessary, minimize Log Viewer and click the Internet Explorer button on the Windows task bar to switch to the browser window and view the log file.

  4. The names of failed logs will be hyperlinked. Click to view the content of each failed log file. Use the navigation buttons to search for warnings, failures, or specific text.
  5. Examine the test logs for failures, and then do one of the following:
  • If tests contain failures, solve the problems indicated in the test log before submitting the log file to WHQL. To rerun failing tests from the Test Results table, select the test and then click Queue Selected Tests.
  • If all required tests for a test program have passed, use the Return Test Results menu to prepare the test log files to send to WHQL as part of a test submission package.
  6. To quit Log Viewer, click the Close button.

Related links

Returning test results


Monitoring test run progress

In the Submission Progress tab, you can monitor the test run progress in Test Manager.

The Installed Test Categories pane lists all test categories installed in Test Manager.

The Remaining Tests for Selected Test Categories pane lists all tests that still must be run to complete testing of the selected test category. Each test is removed from the list when it runs with a Pass test result. Tests that have not been run, or have been run and received a Fail test result, remain in the list.

To select a test category

  • In the Installed Test Categories pane, click the test category name.

To run tests from the Submission Progress tab

  1. In the Remaining Tests for Selected Test Categories pane, right-click a test name and then click Queue Item.

Test Manager switches to the Select/Run Tests tab, and the queued test is listed in the Selected Tests pane.

Note: You can continue to add tests from the Select/Run Tests tab.

  2. Click Start Tests.

Related Links

Running tests


Using test group files

Some test categories run the same combination of tests in several test configurations. Rather than selecting tests individually in each scenario, you can use the Save Test Group command on the File menu to create a test group file and save it locally, and then use the Load Test Group command to quickly load and run the test group as needed.

Note: When the test group is saved, all test parameters are permanently set. For example, if the test device parameter is set to C when a test is saved as part of a test group, the test will always run against drive C.

To save a test group file

  1. On the Select/Run Tests tab, select the tests you wish to save as a group.
  2. If necessary, set test parameters as required in the test procedure documentation for your test category.
  3. On the File menu, click Save Test Group.

The Save As window opens.

  4. In the Save As window, navigate to the location you wish to save the test group.

In the File name box, type the test group name, and then click Save.

To load a test group file

  1. On the File menu, click Load Test Group.

The Load Test Group File window opens.

  2. In the Load Test Group File window, navigate to a test group file (*.grp) previously saved to the test system. Select the test group file, and then click Open.

Related links

Selecting tests


Returning test results

When all required tests for a test program have passed, use the Return Test Results menu to prepare the test log files to send to WHQL as part of a test submission package.

Click to show or hide information. To return test results

This procedure will place all test logs for all test categories installed on the test system into one cabinet file and then copy the file to media or a server location.

Important: If testing a category that requires a test system/remote test host configuration, import the remote test host test results to the test system before returning test results. See To import server-side test results.

  1. If returning test results to media, insert a disk into the appropriate drive. WHQL recommends using Iomega Zip disks or CD-R.
  2. At the Test Manager menu, click Return Test Results.
  3. If Test Manager detects any tests that either have not been run or were run with failing results, a warning dialog box will appear.

In most instances, WHQL will accept only passing test results. However, in some circumstances, WHQL may request that a failing test result for a specific test be sent as part of a test submission. If WHQL has instructed you to send a failing test result, please include a readme.txt file in your test submission package that explains the reason for the failing test result.

To continue returning test results, click Continue.

  4. The Save Submission Results dialog box appears. In the Save In list box, select the location to which the cabinet file will be saved.
  5. By default, Test Manager names the cabinet file whqlhct.

To change the file name, type the new name in the File Name box.

  6. Click Save.
  7. Send the cabinet file to WHQL as part of a test submission package.

Click to show or hide information. To import server-side test results

This procedure is only required in test categories that require a test system/remote test host configuration, such as Server, Datacenter Server, or Cluster Server.

  1. Complete testing on the remote test host. Then, follow steps 1-6 of To return test results to copy the test result cabinet file to a location accessible by the test system.
  2. Complete testing on the test system.
  3. On the Submission Progress tab in Test Manager, in the Installed Submission Categories pane, right-click [Test Category] - Server-Side (Right-click to Import Server-Side Logs), and then click Import Server-Side Logs.

The Import/Merge Server-Side .CAB File dialog box appears.

  4. Navigate to the location where the remote test host cabinet file is saved, and then select the file. Click Open.

Test Manager opens the selected cabinet file, identifies test log files for the selected test category, and copies only those files to the location that the test system test log files are stored.

  5. The Server-Side Log Import Results dialog box appears.

This dialog box reports the results of the import procedure. Because Test Manager imports only test log files for the selected test category, all log files in the selected cabinet file may not be imported.

Click OK to close the dialog box.

  6. See To return test results to prepare the test log files to send to WHQL as part of a test submission package.


Using Test Manager commands

The following are the commands used in Test Manager:

Test Manager menu commands

Command | Function
File Menu
Exit | Use to quit Test Manager.
Save Test Group | Use to save a group of frequently run tests.
Load Test Group | Use to run a saved Test Group.
Return Test Results Menu
Return Test Results | Use to save test log files in preparation for sending a test submission to WHQL.
Help Menu
Help Topics | Opens HCT kit test procedures.
Legend | Opens legend of icons used to indicate test status.
About | Displays HCT kit version information


Uninstalling the HCT kit

Although the Windows XP HCT 10.0 kit includes an uninstall feature, WHQL recommends using the Windows Add/Remove Programs application to uninstall the HCT kit.

To uninstall the Windows XP HCT 10.0 kit

  1. In Control Panel, click the Add or Remove Programs icon.

The Add or Remove Programs window appears.

  2. Click Windows XP HCT 10.0, and then click Remove.

A warning message appears.

  3. When prompted to confirm the removal of the Windows XP HCT 10.0, click Yes.
  4. When the Windows XP HCT 10.0 program is removed, close the Add or Remove Programs window.


Insufficient drive space to install the HCT kit

The HCT kit requires a minimum 1 GB of free hard disk drive space on the system partition for temporary installation files, as well as enough additional drive space to accommodate the actual test kit. For additional test system configuration requirements, refer to the test procedure documentation for each test category.

When the HCT kit is installed on test systems with 128 MB of RAM, the paging file may use all available space on the system partition. If this occurs, move the paging file to another partition. If possible, move the paging file to another physical hard disk drive rather than a partition on the same hard disk drive. Then, reinstall the HCT kit.

Important: Do not attempt to move the paging file during a test run. The HCT kit will detect the configuration change and require the user to delete all existing test logs and reinstall the kit.

To move the paging file

  1. In Control Panel, double-click System.

The System Properties dialog box displays.

  2. On the Advanced tab, under Performance, click Settings.

The Performance Options dialog box displays.

  3. On the Advanced tab, under Virtual memory, click Change.
  4. Create a new paging file.
  • Under Drive [Volume Label], click the drive where you want to create the paging file.

Under Paging file size for selected drive, click System managed size, and then click Set.

-or-

  • Under Paging file size for selected drive, click Custom Size, and type a new paging file size in megabytes in the Initial size (MB) or Maximum size (MB) box, and then click Set.
  5. Delete the existing paging file.
  • Under Drive [Volume Label], click the drive that contains the paging file you want to delete.

Under Paging file size for selected drive, click No paging file, and then click Set.


Test is unavailable

In Test Manager, tests that are unavailable because required hardware is missing are marked with an exclamation point (!) in a yellow circle. You can view the Error field in the test properties for troubleshooting information.

To view test properties

  • Right-click the test name and click View Properties.


Deleting test logs

The Windows XP HCT 10.0 kit does not include a menu option for deleting all existing test logs and restarting a test run.

It is not necessary to delete test logs to rerun tests that were initially run with failing test results. Test Manager saves all log files generated during a test run. If you rerun a test, a new log file is generated and a number is appended to the log name (for example, acpicmb_2.log). The original test log is not replaced.

To restart a test run because of an error in the test system configuration, you must uninstall and then re-install the HCT kit.

To install a new test category, you must uninstall and then re-install the HCT kit.

Related links

Uninstalling the HCT kit


System fails during a test run

A test run has failed if the test system experiences a stop error (bluescreen), or if the test system stops responding for more than one hour. Although an individual test run cannot be completed after a system failure, any test runs that were completed successfully before the system failure are not affected and the test program can be completed after manually restarting the test system and Test Manager.

Tip: Before manually ending a test run, verify that the test run did not include tests that deliberately suspend system activity for extended periods of time.

To continue testing after the test system fails during a test run

  1. Restart the test system and Test Manager.
  2. Examine the LASTRUN.txt file in the \HCT directory.

The LASTRUN.txt file contains a list of the tests that ran up to the point of the system failure and indicates which test was running when the system failed.

If the test system is running a kernel debugger, the debug system also displays the name of the test that was running when the test system failed.

Download the most current version of the Microsoft Debugging Tools for Windows from the Microsoft Driver Development Kit Web site.

Related links

Microsoft Debugging Tools


Debugging failing test results

The Windows XP HCT 10.0 kit can be run with a debugger tool and Windows XP symbol files installed on the test system to help developers interpret test failures.

The Microsoft Debugging Tools for Windows and Windows XP symbol files can be obtained from the Microsoft Driver Development Kits (DDK) Web site.

Complete the following steps before running the HCT kit:

  • Install Microsoft Debugging Tools for Windows locally in C:\Debuggers\
  • Place the symbols files in C:\Symbols

Related links

Microsoft Debugging Tools


System detected as non-ACPI compliant

To run the HCT kit, all test systems must be ACPI-compliant and running in ACPI mode.

If an error message stating that the system is not in ACPI mode appears immediately after installing and starting the HCT kit:

  • Verify that the system is ACPI-compliant
  • Verify that you are logged on the system as an administrator


Assembling a test submission package

After the HCT kit tests and any required test documents are completed, assemble a test submission package and submit it for review through the Windows Logo Program Qualification Service Web site. A submission consists of two parts: the submission package created and submitted through the Qualification Service, and the follow-up submission package mailed to WHQL.

About the Qualification Service submission package

All test submission packages submitted through the Qualification Service must include the following:

  • Test log files generated by the HCT kit

Depending on the test category, a test submission package can also include the following:

  • Driver files
  • Device configuration utilities
  • Bundled applications
  • Symbol files
  • English System Configuration NFO file
  • System Configuration NFO file for each localized language included in the test submission package
  • Delta sheets documenting changes to the product tested

About the follow-up submission package

A follow-up submission package includes several additional items that vary depending on the submission type and hardware type. The Qualification Service provides a checklist for each hardware category.

A follow up submission package can include any of the following items:

  • Packing list documenting all items included in the follow up submission package
  • Hardware samples of the product tested
  • Peripheral hardware required by the product tested
  • End-user documentation for the product tested (may be in draft form)
  • Configuration utilities

Related links

Windows Logo Program Qualification Service User’s Guide
Common WHQL Submission Errors
Authorized Testing Sites and Fees
WHQL Redmond Quarterly Billing Cycle FAQ
WHQL Legal Agreement Downloads


Following up on a test submission package

When a test submission package is submitted through the Windows Logo Program Qualification Service, WHQL will do the following:

Click to show or hide information. Review the test submission package.

The time required to complete the review depends on the type of test submission:

  • For self-test submissions, please allow 72 hours.
  • For full-test submissions, please allow 30 days.

To view submission status

  1. Sign in to the Qualification Service.
  2. Click Submission history.
  3. Under List All Submission History, click the submission record to view its status.

Click to show or hide information. Send a test report.

When WHQL completes the review of the test submission package, a test report will be uploaded to your company’s FTP site. The test report includes the final test status (Pass or Fail), and may include technical feedback on any issues encountered during the review process.

If the product passes testing, WHQL may also:

  • Upload a digitally-signed driver package to your company’s FTP site.
  • Add the product and driver to the Windows Hardware Compatibility List (HCL) and Windows Update Web sites, if appropriate.
  • Add product to the Windows Catalog, if appropriate.

If the company has a valid logo license agreement on file with Microsoft, WHQL may also send the following items:

  • Exhibit 3 to the Designed for Microsoft Windows Logo License Agreement that lists the product
  • Logo artwork materials

Click to show or hide information. Audit the test submission.

If the test submission package was processed as a self-test submission, WHQL may request an audit. For an explanation of this process, see WHQL Audit Policy for Device and System Programs on the WHQL Web site.

Related links


FoxFire II PCI adapter

Systems and servers with PCI slots and PCI devices are required use the FoxFire II PCI adapter to run the Microsoft Windows XP HCT 10.0 kit. Individual hardware vendors (IHVs) and original equipment manufacturers (OEMs) are required to purchase FoxFire II PCI adapters for most PCI device submissions for the "Designed for Windows" Logo.

The FoxFire II PCI adapter validates compliance with the following PCI power management functions:

  • PME event generation
  • 3.3Vaux auxiliary voltage
  • Transition of the system into various sleep states (such as S1 and S3)
  • Wake up of the system through PME# signal assertion

The FoxFire II PCI adapter also checks whether the target system provides 3.3V and 3.3Vaux to all PCI connectors in the system. Systems that do not properly support PME# signal and 3.3Vaux will not generate the events used to wake up a system in Wake-On-LAN and Wake-On-Ring scenarios.

To determine if the device or system you are testing requires the FoxFire II PCI adapter, see the list of hardware requirements in the overview topic for your device or system category.

Related links


Warning

Windows XP HCT 10.0 - Introduction

Important

This file is only a component of the Whistler Hardware Compatibility Test (HCT) Help system, and is not intended to be used as a stand-alone file.

Instead, use the HCThelp.chm file for information on the Microsoft Windows Logo Program for Hardware, testing hardware and drivers with the HCT, and installing and running the HCT.


Windows XP HCT 10.0 - Introduction

New user’s guide to WHQL


Windows XP HCT 10.0 - Introduction

Using Test Manager


Windows XP HCT 10.0 - Introduction

Troubleshooting the HCT


Windows XP HCT 10.0 - Introduction

How to use the HCT kit


Windows XP HCT 10.0 - Introduction

How to process a test submission


Windows XP HCT 10.0 - Introduction

Additional resources